Beneficiaries
A beneficiary resource needs to be created before a payment can be made, the beneficiary notes the individual or organisation being paid along with the bank details and payment method. A beneficiary unique identifier is generated upon the creation can be used for creating payment using a payment resource.
GET /api/v1/beneficiariesGET /api/v1/beneficiaries/{id}POST /api/v1/beneficiaries/{id}/deletePOST /api/v1/beneficiaries/{id}/updatePOST /api/v1/beneficiaries/createPOST /api/v1/beneficiaries/validatePOST /api/v1/beneficiaries/verify_accountPOST /api/v1/beneficiary_api_schemas/generatePOST /api/v1/beneficiary_form_schemas/generate
Get list of beneficiaries
GET /api/v1/beneficiaries
Get list of beneficiaries with optional filters on from date/time, to date/time, names and entity type. Results are paginated, with default list limit of 50 results.
Filter on bank account number of beneficiary
Filter on company name of beneficiary
Filter on entity type of COMPANY or PERSONAL
The start date of created_at in ISO8601 format (inclusive)
Filter on name of beneficiary
Filter on nickname of beneficiary
Page number, starts from 0
Number of results per page. Default value is 100.
Filter on SCA exemptible beneficiaries
The end date of created_at in ISO8601 format (inclusive)
A flag which identifies whether there are more results.
Paged results.
Details of the beneficiary
Beneficiary's bank account details where the payment will be credited
Account Currency
Account holder name of the beneficiary’s bank account
Bank country code (2-letter ISO 3166-2 country code)
The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .
Account number, mostly for non-european countries, either account_number or iban should be filled
Routing code type
Routing code sub type
Routing code value
Routing code sub type value
bank account type
Specific branch of bank account
Bank name of the beneficiary's bank account
Bank State
Bank street address
The mobile number tied to the Beneficiary's bank account
Fingerprint of current beneficiary's bank account
International bank account number, mostly for european countries
Bank name of the beneficiary's intermediary bank
Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code
Entity type of the beneficiary
Additional information about the beneficiary
Category of business activity
Business phone number
Business registration number
The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes
Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.
Legal representative first name in chinese
Legal representative id number
Legal representative last name in chinese
Legal representative’s mobile number associated with their bank account.
Personal email
Beneficiary's first name in Chinese
Personal unique identifier number
Personal unique identifier type
Beneficiary's last name in Chinese
Personal mobile number
Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).
Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.
Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.
Beneficiary's address details
Beneficiary's city
Beneficiary's country code (2-letter ISO 3166-2 country code)
Beneficiary's post code
Beneficiary's state
Beneficiary's street address
Company name of the beneficiary
beneficiary date of birth
First name of the beneficiary
Last name of the beneficiary
id used to uniquely identify this beneficiary contact on the Airwallex platform
Transfer method needs to be specified to ensure that accurate banking details are captured and validated for the specified transfer method. This is required for timely and accurate delivery of funds to the beneficiary account. Should be one of the following: SWIFT, LOCAL
Nickname of the beneficiary
The payer entity type that will be used for transfers being made to this beneficiary. This is required to accurately capture and validate appropriate data for compliance reasons. Defaults to COMPANY
Whether the beneficiary can be exempted from SCA when applicable
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api.airwallex.com/api/v1/beneficiaries' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "has_more": false,3 "items": [4 {5 "beneficiary": {6 "additional_info": {7 "business_area": "Travel",8 "business_phone_number": "689342234",9 "business_registration_number": "IT593003",10 "legal_rep_bank_account_number": "44250100003700000000",11 "legal_rep_first_name_in_chinese": "小芳",12 "legal_rep_id_number": "110108199304203520",13 "legal_rep_last_name_in_chinese": "刘",14 "legal_rep_mobile_number": "13651362890",15 "personal_email": "[email protected]",16 "personal_first_name_in_chinese": "大明",17 "personal_id_number": "1234567890",18 "personal_id_type": "NATIONAL_ID",19 "personal_last_name_in_chinese": "李",20 "personal_mobile_number": "13651362890",21 "security_question": "What is the name of my second puppy?",22 "security_question_answer": "Scooby Doo"23 },24 "address": {25 "city": "Melbourne",26 "country_code": "AU",27 "postcode": "3000",28 "state": "VIC",29 "street_address": "15 William Street"30 },31 "bank_details": {32 "account_currency": "AUD",33 "account_name": "Lee Da Ming",34 "account_name_alias": "Lee D M",35 "account_number": "12750852",36 "account_routing_type1": "bsb",37 "account_routing_type2": "sort_code",38 "account_routing_value1": "083064",39 "account_routing_value2": "123456",40 "bank_account_category": "Checking,Savings,Vista,Maestra",41 "bank_branch": "Melbourne",42 "bank_country_code": "AU",43 "bank_name": "National Australia Bank",44 "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",45 "binding_mobile_number": "654897612345",46 "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",47 "iban": "ES8023100001180000012345",48 "intermediary_bank_name": "National Australia Bank",49 "intermediary_bank_swift_code": "CTBAAU2S",50 "local_clearing_system": "ACH",51 "swift_code": "CTBAAU2S"52 },53 "company_name": "Complete Concrete Pty Ltd",54 "date_of_birth": "1976-08-26",55 "entity_type": "COMPANY",56 "first_name": "John",57 "last_name": "Walker"58 },59 "id": "8365ea88-2946-4877-abe1-e02a1015288d",60 "nickname": "Complete Concrete Pty Ltd",61 "payer_entity_type": "COMPANY",62 "sca_exemptible": false,63 "transfer_methods": [64 "SWIFT"65 ]66 }67 ]68}
Get a beneficiary by ID
GET /api/v1/beneficiaries/{id}
Get a specific beneficiary by specifying the Airwallex id.
id of the beneficiary contact to retrieve
Details of the beneficiary
Beneficiary's bank account details where the payment will be credited
Account Currency
Account holder name of the beneficiary’s bank account
Bank country code (2-letter ISO 3166-2 country code)
The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .
Account number, mostly for non-european countries, either account_number or iban should be filled
Routing code type
Routing code sub type
Routing code value
Routing code sub type value
bank account type
Specific branch of bank account
Bank name of the beneficiary's bank account
Bank State
Bank street address
The mobile number tied to the Beneficiary's bank account
Fingerprint of current beneficiary's bank account
International bank account number, mostly for european countries
Bank name of the beneficiary's intermediary bank
Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code
Entity type of the beneficiary
Additional information about the beneficiary
Category of business activity
Business phone number
Business registration number
The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes
Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.
Legal representative first name in chinese
Legal representative id number
Legal representative last name in chinese
Legal representative’s mobile number associated with their bank account.
Personal email
Beneficiary's first name in Chinese
Personal unique identifier number
Personal unique identifier type
Beneficiary's last name in Chinese
Personal mobile number
Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).
Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.
Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.
Beneficiary's address details
Beneficiary's city
Beneficiary's country code (2-letter ISO 3166-2 country code)
Beneficiary's post code
Beneficiary's state
Beneficiary's street address
Company name of the beneficiary
beneficiary date of birth
First name of the beneficiary
Last name of the beneficiary
id used to uniquely identify this beneficiary contact on the Airwallex platform
Nickname of the beneficiary
The payer entity type that will be used for transfers being made to this beneficiary. This is required to accurately capture and validate appropriate data for compliance reasons. Defaults to COMPANY
Whether the beneficiary can be exempted from SCA when applicable
Transfer method needs to be specified to ensure that accurate banking details are captured and validated for the specified transfer method. This is required for timely and accurate delivery of funds to the beneficiary account. Should be one of the following: SWIFT, LOCAL
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api.airwallex.com/api/v1/beneficiaries/beneficiarie_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "beneficiary": {3 "additional_info": {4 "business_area": "Travel",5 "business_phone_number": "689342234",6 "business_registration_number": "IT593003",7 "external_identifier": "<string>",8 "legal_rep_bank_account_number": "44250100003700000000",9 "legal_rep_first_name_in_chinese": "小芳",10 "legal_rep_id_number": "110108199304203520",11 "legal_rep_last_name_in_chinese": "刘",12 "legal_rep_mobile_number": "13651362890",13 "personal_email": "[email protected]",14 "personal_first_name_in_chinese": "大明",15 "personal_id_number": "1234567890",16 "personal_id_type": "NATIONAL_ID",17 "personal_last_name_in_chinese": "李",18 "personal_mobile_number": "13651362890",19 "recipient_account_id": "<string>",20 "security_question": "What is the name of my second puppy?",21 "security_question_answer": "Scooby Doo"22 },23 "address": {24 "city": "Melbourne",25 "country_code": "AU",26 "postcode": "3000",27 "state": "VIC",28 "street_address": "15 William Street"29 },30 "bank_details": {31 "account_currency": "AUD",32 "account_name": "Lee Da Ming",33 "account_name_alias": "Lee D M",34 "account_number": "12750852",35 "account_routing_type1": "bsb",36 "account_routing_type2": "sort_code",37 "account_routing_value1": "083064",38 "account_routing_value2": "123456",39 "bank_account_category": "Checking,Savings,Vista,Maestra",40 "bank_branch": "Melbourne",41 "bank_country_code": "AU",42 "bank_name": "National Australia Bank",43 "bank_state": "<string>",44 "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",45 "binding_mobile_number": "654897612345",46 "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",47 "iban": "ES8023100001180000012345",48 "intermediary_bank_name": "National Australia Bank",49 "intermediary_bank_swift_code": "CTBAAU2S",50 "local_clearing_system": "ACH",51 "swift_code": "CTBAAU2S"52 },53 "company_name": "Complete Concrete Pty Ltd",54 "date_of_birth": "1976-08-26",55 "entity_type": "COMPANY",56 "first_name": "John",57 "last_name": "Walker"58 },59 "id": "8365ea88-2946-4877-abe1-e02a1015288d",60 "nickname": "Complete Concrete Pty Ltd",61 "payer_entity_type": "COMPANY",62 "sca_exemptible": false,63 "transfer_methods": [64 "SWIFT"65 ]66}
Delete existing beneficiary
POST /api/v1/beneficiaries/{id}/delete
Delete an existing beneficiary stored on the Airwallex platform.
id of the beneficiary contact to delete
Returns true if the beneficiary was successfully deleted, or false if the deletion did not take place.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.airwallex.com/api/v1/beneficiaries/beneficiarie_id/delete' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
Update existing beneficiary
POST /api/v1/beneficiaries/{id}/update
Edit an existing beneficiary stored on the Airwallex platform.
id of the beneficiary contact to update
Details of the beneficiary
Beneficiary's bank account details where the payment will be credited
Account Currency
Account holder name of the beneficiary’s bank account
Bank country code (2-letter ISO 3166-2 country code)
The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .
Account number, mostly for non-european countries, either account_number or iban should be filled
Routing code type
Routing code sub type
Routing code value
Routing code sub type value
bank account type
Specific branch of bank account
Bank name of the beneficiary's bank account
Bank State
Bank street address
The mobile number tied to the Beneficiary's bank account
Fingerprint of current beneficiary's bank account
International bank account number, mostly for european countries
Bank name of the beneficiary's intermediary bank
Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code
Entity type of the beneficiary
Additional information about the beneficiary
Category of business activity
Business phone number
Business registration number
The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes
Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.
Legal representative first name in chinese
Legal representative id number
Legal representative last name in chinese
Legal representative’s mobile number associated with their bank account.
Personal email
Beneficiary's first name in Chinese
Personal unique identifier number
Personal unique identifier type
Beneficiary's last name in Chinese
Personal mobile number
Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).
Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.
Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.
Beneficiary's address details
Beneficiary's city
Beneficiary's country code (2-letter ISO 3166-2 country code)
Beneficiary's post code
Beneficiary's state
Beneficiary's street address
Company name of the beneficiary
beneficiary date of birth
First name of the beneficiary
Last name of the beneficiary
Transfer method needs to be specified to ensure that accurate banking details are captured and validated for the specified transfer method. This is required for timely and accurate delivery of funds to the beneficiary account. Should be one of the following: SWIFT, LOCAL
Nickname of the beneficiary
The payer entity type that will be used for transfers being made to this beneficiary. This is required to accurately capture and validate appropriate data for compliance reasons. Defaults to COMPANY
Whether the beneficiary can be exempted from SCA when applicable
Reason for the transfer instruction being made to this beneficiary
Details of the beneficiary
Beneficiary's bank account details where the payment will be credited
Account Currency
Account holder name of the beneficiary’s bank account
Bank country code (2-letter ISO 3166-2 country code)
The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .
Account number, mostly for non-european countries, either account_number or iban should be filled
Routing code type
Routing code sub type
Routing code value
Routing code sub type value
bank account type
Specific branch of bank account
Bank name of the beneficiary's bank account
Bank State
Bank street address
The mobile number tied to the Beneficiary's bank account
Fingerprint of current beneficiary's bank account
International bank account number, mostly for european countries
Bank name of the beneficiary's intermediary bank
Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code
Entity type of the beneficiary
Additional information about the beneficiary
Category of business activity
Business phone number
Business registration number
The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes
Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.
Legal representative first name in chinese
Legal representative id number
Legal representative last name in chinese
Legal representative’s mobile number associated with their bank account.
Personal email
Beneficiary's first name in Chinese
Personal unique identifier number
Personal unique identifier type
Beneficiary's last name in Chinese
Personal mobile number
Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).
Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.
Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.
Beneficiary's address details
Beneficiary's city
Beneficiary's country code (2-letter ISO 3166-2 country code)
Beneficiary's post code
Beneficiary's state
Beneficiary's street address
Company name of the beneficiary
beneficiary date of birth
First name of the beneficiary
Last name of the beneficiary
id used to uniquely identify this beneficiary contact on the Airwallex platform
Nickname of the beneficiary
The payer entity type that will be used for transfers being made to this beneficiary. This is required to accurately capture and validate appropriate data for compliance reasons. Defaults to COMPANY
Whether the beneficiary can be exempted from SCA when applicable
Transfer method needs to be specified to ensure that accurate banking details are captured and validated for the specified transfer method. This is required for timely and accurate delivery of funds to the beneficiary account. Should be one of the following: SWIFT, LOCAL
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.airwallex.com/api/v1/beneficiaries/beneficiarie_id/update' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "beneficiary": {> "additional_info": {> "business_area": "Travel",> "business_phone_number": "689342234",> "business_registration_number": "IT593003",> "external_identifier": "<string>",> "legal_rep_bank_account_number": "44250100003700000000",> "legal_rep_first_name_in_chinese": "小芳",> "legal_rep_id_number": "110108199304203520",> "legal_rep_last_name_in_chinese": "刘",> "legal_rep_mobile_number": "13651362890",> "personal_email": "[email protected]",> "personal_first_name_in_chinese": "大明",> "personal_id_number": "1234567890",> "personal_id_type": "NATIONAL_ID",> "personal_last_name_in_chinese": "李",> "personal_mobile_number": "13651362890",> "recipient_account_id": "<string>",> "security_question": "What is the name of my second puppy?",> "security_question_answer": "Scooby Doo"> },> "address": {> "city": "Melbourne",> "country_code": "AU",> "postcode": "3000",> "state": "VIC",> "street_address": "15 William Street"> },> "bank_details": {> "account_currency": "AUD",> "account_name": "Lee Da Ming",> "account_name_alias": "Lee D M",> "account_number": "12750852",> "account_routing_type1": "bsb",> "account_routing_type2": "sort_code",> "account_routing_value1": "083064",> "account_routing_value2": "123456",> "bank_account_category": "Checking,Savings,Vista,Maestra",> "bank_branch": "Melbourne",> "bank_country_code": "AU",> "bank_name": "National Australia Bank",> "bank_state": "<string>",> "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",> "binding_mobile_number": "654897612345",> "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",> "iban": "ES8023100001180000012345",> "intermediary_bank_name": "National Australia Bank",> "intermediary_bank_swift_code": "CTBAAU2S",> "local_clearing_system": "ACH",> "swift_code": "CTBAAU2S"> },> "company_name": "Complete Concrete Pty Ltd",> "date_of_birth": "1976-08-26",> "entity_type": "COMPANY",> "first_name": "John",> "last_name": "Walker"> },> "nickname": "Complete Concrete Pty Ltd",> "payer_entity_type": "COMPANY",> "sca_exemptible": false,> "transfer_methods": [> "SWIFT"> ],> "transfer_reason": "travel">}'
1{2 "beneficiary": {3 "additional_info": {4 "business_area": "Travel",5 "business_phone_number": "689342234",6 "business_registration_number": "IT593003",7 "external_identifier": "<string>",8 "legal_rep_bank_account_number": "44250100003700000000",9 "legal_rep_first_name_in_chinese": "小芳",10 "legal_rep_id_number": "110108199304203520",11 "legal_rep_last_name_in_chinese": "刘",12 "legal_rep_mobile_number": "13651362890",13 "personal_email": "[email protected]",14 "personal_first_name_in_chinese": "大明",15 "personal_id_number": "1234567890",16 "personal_id_type": "NATIONAL_ID",17 "personal_last_name_in_chinese": "李",18 "personal_mobile_number": "13651362890",19 "recipient_account_id": "<string>",20 "security_question": "What is the name of my second puppy?",21 "security_question_answer": "Scooby Doo"22 },23 "address": {24 "city": "Melbourne",25 "country_code": "AU",26 "postcode": "3000",27 "state": "VIC",28 "street_address": "15 William Street"29 },30 "bank_details": {31 "account_currency": "AUD",32 "account_name": "Lee Da Ming",33 "account_name_alias": "Lee D M",34 "account_number": "12750852",35 "account_routing_type1": "bsb",36 "account_routing_type2": "sort_code",37 "account_routing_value1": "083064",38 "account_routing_value2": "123456",39 "bank_account_category": "Checking,Savings,Vista,Maestra",40 "bank_branch": "Melbourne",41 "bank_country_code": "AU",42 "bank_name": "National Australia Bank",43 "bank_state": "<string>",44 "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",45 "binding_mobile_number": "654897612345",46 "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",47 "iban": "ES8023100001180000012345",48 "intermediary_bank_name": "National Australia Bank",49 "intermediary_bank_swift_code": "CTBAAU2S",50 "local_clearing_system": "ACH",51 "swift_code": "CTBAAU2S"52 },53 "company_name": "Complete Concrete Pty Ltd",54 "date_of_birth": "1976-08-26",55 "entity_type": "COMPANY",56 "first_name": "John",57 "last_name": "Walker"58 },59 "id": "8365ea88-2946-4877-abe1-e02a1015288d",60 "nickname": "Complete Concrete Pty Ltd",61 "payer_entity_type": "COMPANY",62 "sca_exemptible": false,63 "transfer_methods": [64 "SWIFT"65 ]66}
Create a new beneficiary
POST /api/v1/beneficiaries/create
Create a new beneficiary to be stored on the Airwallex platform.
Details of the beneficiary
Beneficiary's bank account details where the payment will be credited
Account Currency
Account holder name of the beneficiary’s bank account
Bank country code (2-letter ISO 3166-2 country code)
The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .
Account number, mostly for non-european countries, either account_number or iban should be filled
Routing code type
Routing code sub type
Routing code value
Routing code sub type value
bank account type
Specific branch of bank account
Bank name of the beneficiary's bank account
Bank State
Bank street address
The mobile number tied to the Beneficiary's bank account
Fingerprint of current beneficiary's bank account
International bank account number, mostly for european countries
Bank name of the beneficiary's intermediary bank
Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code
Entity type of the beneficiary
Additional information about the beneficiary
Category of business activity
Business phone number
Business registration number
The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes
Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.
Legal representative first name in chinese
Legal representative id number
Legal representative last name in chinese
Legal representative’s mobile number associated with their bank account.
Personal email
Beneficiary's first name in Chinese
Personal unique identifier number
Personal unique identifier type
Beneficiary's last name in Chinese
Personal mobile number
Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).
Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.
Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.
Beneficiary's address details
Beneficiary's city
Beneficiary's country code (2-letter ISO 3166-2 country code)
Beneficiary's post code
Beneficiary's state
Beneficiary's street address
Company name of the beneficiary
beneficiary date of birth
First name of the beneficiary
Last name of the beneficiary
Transfer method needs to be specified to ensure that accurate banking details are captured and validated for the specified transfer method. This is required for timely and accurate delivery of funds to the beneficiary account. Should be one of the following: SWIFT, LOCAL
Nickname of the beneficiary
The payer entity type that will be used for transfers being made to this beneficiary. This is required to accurately capture and validate appropriate data for compliance reasons. Defaults to COMPANY
Whether the beneficiary can be exempted from SCA when applicable
Reason for the transfer instruction being made to this beneficiary
Details of the beneficiary
Beneficiary's bank account details where the payment will be credited
Account Currency
Account holder name of the beneficiary’s bank account
Bank country code (2-letter ISO 3166-2 country code)
The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .
Account number, mostly for non-european countries, either account_number or iban should be filled
Routing code type
Routing code sub type
Routing code value
Routing code sub type value
bank account type
Specific branch of bank account
Bank name of the beneficiary's bank account
Bank State
Bank street address
The mobile number tied to the Beneficiary's bank account
Fingerprint of current beneficiary's bank account
International bank account number, mostly for european countries
Bank name of the beneficiary's intermediary bank
Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code
Entity type of the beneficiary
Additional information about the beneficiary
Category of business activity
Business phone number
Business registration number
The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes
Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.
Legal representative first name in chinese
Legal representative id number
Legal representative last name in chinese
Legal representative’s mobile number associated with their bank account.
Personal email
Beneficiary's first name in Chinese
Personal unique identifier number
Personal unique identifier type
Beneficiary's last name in Chinese
Personal mobile number
Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).
Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.
Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.
Beneficiary's address details
Beneficiary's city
Beneficiary's country code (2-letter ISO 3166-2 country code)
Beneficiary's post code
Beneficiary's state
Beneficiary's street address
Company name of the beneficiary
beneficiary date of birth
First name of the beneficiary
Last name of the beneficiary
id used to uniquely identify this beneficiary contact on the Airwallex platform
Nickname of the beneficiary
The payer entity type that will be used for transfers being made to this beneficiary. This is required to accurately capture and validate appropriate data for compliance reasons. Defaults to COMPANY
Whether the beneficiary can be exempted from SCA when applicable
Transfer method needs to be specified to ensure that accurate banking details are captured and validated for the specified transfer method. This is required for timely and accurate delivery of funds to the beneficiary account. Should be one of the following: SWIFT, LOCAL
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.airwallex.com/api/v1/beneficiaries/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "beneficiary": {> "additional_info": {> "business_area": "Travel",> "business_phone_number": "689342234",> "business_registration_number": "IT593003",> "external_identifier": "<string>",> "legal_rep_bank_account_number": "44250100003700000000",> "legal_rep_first_name_in_chinese": "小芳",> "legal_rep_id_number": "110108199304203520",> "legal_rep_last_name_in_chinese": "刘",> "legal_rep_mobile_number": "13651362890",> "personal_email": "[email protected]",> "personal_first_name_in_chinese": "大明",> "personal_id_number": "1234567890",> "personal_id_type": "NATIONAL_ID",> "personal_last_name_in_chinese": "李",> "personal_mobile_number": "13651362890",> "recipient_account_id": "<string>",> "security_question": "What is the name of my second puppy?",> "security_question_answer": "Scooby Doo"> },> "address": {> "city": "Melbourne",> "country_code": "AU",> "postcode": "3000",> "state": "VIC",> "street_address": "15 William Street"> },> "bank_details": {> "account_currency": "AUD",> "account_name": "Lee Da Ming",> "account_name_alias": "Lee D M",> "account_number": "12750852",> "account_routing_type1": "bsb",> "account_routing_type2": "sort_code",> "account_routing_value1": "083064",> "account_routing_value2": "123456",> "bank_account_category": "Checking,Savings,Vista,Maestra",> "bank_branch": "Melbourne",> "bank_country_code": "AU",> "bank_name": "National Australia Bank",> "bank_state": "<string>",> "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",> "binding_mobile_number": "654897612345",> "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",> "iban": "ES8023100001180000012345",> "intermediary_bank_name": "National Australia Bank",> "intermediary_bank_swift_code": "CTBAAU2S",> "local_clearing_system": "ACH",> "swift_code": "CTBAAU2S"> },> "company_name": "Complete Concrete Pty Ltd",> "date_of_birth": "1976-08-26",> "entity_type": "COMPANY",> "first_name": "John",> "last_name": "Walker"> },> "nickname": "Complete Concrete Pty Ltd",> "payer_entity_type": "COMPANY",> "sca_exemptible": false,> "transfer_methods": [> "SWIFT"> ],> "transfer_reason": "travel">}'
1{2 "beneficiary": {3 "additional_info": {4 "business_area": "Travel",5 "business_phone_number": "689342234",6 "business_registration_number": "IT593003",7 "external_identifier": "<string>",8 "legal_rep_bank_account_number": "44250100003700000000",9 "legal_rep_first_name_in_chinese": "小芳",10 "legal_rep_id_number": "110108199304203520",11 "legal_rep_last_name_in_chinese": "刘",12 "legal_rep_mobile_number": "13651362890",13 "personal_email": "[email protected]",14 "personal_first_name_in_chinese": "大明",15 "personal_id_number": "1234567890",16 "personal_id_type": "NATIONAL_ID",17 "personal_last_name_in_chinese": "李",18 "personal_mobile_number": "13651362890",19 "recipient_account_id": "<string>",20 "security_question": "What is the name of my second puppy?",21 "security_question_answer": "Scooby Doo"22 },23 "address": {24 "city": "Melbourne",25 "country_code": "AU",26 "postcode": "3000",27 "state": "VIC",28 "street_address": "15 William Street"29 },30 "bank_details": {31 "account_currency": "AUD",32 "account_name": "Lee Da Ming",33 "account_name_alias": "Lee D M",34 "account_number": "12750852",35 "account_routing_type1": "bsb",36 "account_routing_type2": "sort_code",37 "account_routing_value1": "083064",38 "account_routing_value2": "123456",39 "bank_account_category": "Checking,Savings,Vista,Maestra",40 "bank_branch": "Melbourne",41 "bank_country_code": "AU",42 "bank_name": "National Australia Bank",43 "bank_state": "<string>",44 "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",45 "binding_mobile_number": "654897612345",46 "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",47 "iban": "ES8023100001180000012345",48 "intermediary_bank_name": "National Australia Bank",49 "intermediary_bank_swift_code": "CTBAAU2S",50 "local_clearing_system": "ACH",51 "swift_code": "CTBAAU2S"52 },53 "company_name": "Complete Concrete Pty Ltd",54 "date_of_birth": "1976-08-26",55 "entity_type": "COMPANY",56 "first_name": "John",57 "last_name": "Walker"58 },59 "id": "8365ea88-2946-4877-abe1-e02a1015288d",60 "nickname": "Complete Concrete Pty Ltd",61 "payer_entity_type": "COMPANY",62 "sca_exemptible": false,63 "transfer_methods": [64 "SWIFT"65 ]66}
Validate beneficiary
POST /api/v1/beneficiaries/validate
Given a beneficiary request, validate it and return all failed fields as a 400 response. No errors will be "OK" as a 200 response.
Details of the beneficiary
Beneficiary's bank account details where the payment will be credited
Account Currency
Account holder name of the beneficiary’s bank account
Bank country code (2-letter ISO 3166-2 country code)
The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .
Account number, mostly for non-european countries, either account_number or iban should be filled
Routing code type
Routing code sub type
Routing code value
Routing code sub type value
bank account type
Specific branch of bank account
Bank name of the beneficiary's bank account
Bank State
Bank street address
The mobile number tied to the Beneficiary's bank account
Fingerprint of current beneficiary's bank account
International bank account number, mostly for european countries
Bank name of the beneficiary's intermediary bank
Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code
Entity type of the beneficiary
Additional information about the beneficiary
Category of business activity
Business phone number
Business registration number
The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes
Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.
Legal representative first name in chinese
Legal representative id number
Legal representative last name in chinese
Legal representative’s mobile number associated with their bank account.
Personal email
Beneficiary's first name in Chinese
Personal unique identifier number
Personal unique identifier type
Beneficiary's last name in Chinese
Personal mobile number
Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).
Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.
Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.
Beneficiary's address details
Beneficiary's city
Beneficiary's country code (2-letter ISO 3166-2 country code)
Beneficiary's post code
Beneficiary's state
Beneficiary's street address
Company name of the beneficiary
beneficiary date of birth
First name of the beneficiary
Last name of the beneficiary
Transfer method needs to be specified to ensure that accurate banking details are captured and validated for the specified transfer method. This is required for timely and accurate delivery of funds to the beneficiary account. Should be one of the following: SWIFT, LOCAL
Nickname of the beneficiary
The payer entity type that will be used for transfers being made to this beneficiary. This is required to accurately capture and validate appropriate data for compliance reasons. Defaults to COMPANY
Whether the beneficiary can be exempted from SCA when applicable
Reason for the transfer instruction being made to this beneficiary
OK
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.airwallex.com/api/v1/beneficiaries/validate' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "beneficiary": {> "additional_info": {> "business_area": "Travel",> "business_phone_number": "689342234",> "business_registration_number": "IT593003",> "external_identifier": "<string>",> "legal_rep_bank_account_number": "44250100003700000000",> "legal_rep_first_name_in_chinese": "小芳",> "legal_rep_id_number": "110108199304203520",> "legal_rep_last_name_in_chinese": "刘",> "legal_rep_mobile_number": "13651362890",> "personal_email": "[email protected]",> "personal_first_name_in_chinese": "大明",> "personal_id_number": "1234567890",> "personal_id_type": "NATIONAL_ID",> "personal_last_name_in_chinese": "李",> "personal_mobile_number": "13651362890",> "recipient_account_id": "<string>",> "security_question": "What is the name of my second puppy?",> "security_question_answer": "Scooby Doo"> },> "address": {> "city": "Melbourne",> "country_code": "AU",> "postcode": "3000",> "state": "VIC",> "street_address": "15 William Street"> },> "bank_details": {> "account_currency": "AUD",> "account_name": "Lee Da Ming",> "account_name_alias": "Lee D M",> "account_number": "12750852",> "account_routing_type1": "bsb",> "account_routing_type2": "sort_code",> "account_routing_value1": "083064",> "account_routing_value2": "123456",> "bank_account_category": "Checking,Savings,Vista,Maestra",> "bank_branch": "Melbourne",> "bank_country_code": "AU",> "bank_name": "National Australia Bank",> "bank_state": "<string>",> "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",> "binding_mobile_number": "654897612345",> "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",> "iban": "ES8023100001180000012345",> "intermediary_bank_name": "National Australia Bank",> "intermediary_bank_swift_code": "CTBAAU2S",> "local_clearing_system": "ACH",> "swift_code": "CTBAAU2S"> },> "company_name": "Complete Concrete Pty Ltd",> "date_of_birth": "1976-08-26",> "entity_type": "COMPANY",> "first_name": "John",> "last_name": "Walker"> },> "nickname": "Complete Concrete Pty Ltd",> "payer_entity_type": "COMPANY",> "sca_exemptible": false,> "transfer_methods": [> "SWIFT"> ],> "transfer_reason": "travel">}'
Verify a beneficiary account
POST /api/v1/beneficiaries/verify_account
Submit beneficiary account details to verify its existance and retreive name-matching result (where supported) across supported regions and transfer methods (see Product Docs ). The results can be used to mitigate fraud and prevent failures before creating a transfer.
Entity type of the beneficiary, i.e., COMPANY, PERSONAL
Transfer method, i.e., SWIFT, LOCAL
Beneficiary's bank account details where the payment will be credited
Account holder name of the beneficiary’s bank account
Account number, mostly for non-european countries, either account_number or iban should be filled
Routing code type
Routing code value
Bank country code (2-letter ISO 3166-2 country code)
International bank account number, mostly for european countries
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code
The high-level outcome of account verification. Could be one of the following:
VERIFIED: This is a valid account (name match is not guaranteed).INVALID: This account does not exist.CANNOT_VERIFY: We cannot verify this account due to external restrictions.EXTERNAL_SERVICE_UNAVAILABLE: The request failed due to unavailability of external services. Trying again later.
Detailed verification results including name match results if available
The result of account name check based on the account_name provided. See details in Product Docs
The account holder's name of the account specified if available
Name of the account-holding bank if available
A descriptional message of the verification result
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.airwallex.com/api/v1/beneficiaries/verify_account' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "bank_details": {> "account_name": "Betty Morris",> "account_number": "10006132",> "account_routing_type1": "sort_code",> "account_routing_value1": "040568",> "bank_country_code": "GB",> "iban": "<string>",> "local_clearing_system": "<string>",> "swift_code": "<string>"> },> "entity_type": "PERSONAL",> "transfer_method": "LOCAL">}'
1{2 "code": "VERIFIED",3 "details": {4 "account_name_match_result": "FULL_MATCH",5 "resolved_account_name": "Betty Morris",6 "resolved_bank_name": "ClearBank Limited"7 },8 "message": "This is a valid account. Refer to the details object for verification details."9}
Get the API schema
POST /api/v1/beneficiary_api_schemas/generate
API schema specifies the required fields and the corresponding field validation rules for each transfer scenario. A payment scenario is defined as a combination of the following parameters: beneficiary entity_type, bank_country_code. account_currency, and your preferred transfer_method, local_clearing_system (if applicable).
Account currency (3-letter ISO 4217 currency code)
Bank country code (2-letter ISO 3166-2 country code)
Entity type of the beneficiary, i.e., COMPANY, PERSONAL
Local clearing systems are available for selection when making local transfers to the following countries and currencies: US USD, AU AUD, HK HKD, HK USD, HK CNY, SG SGD. Without specification, it will be set to the default value. To learn more, please visit: https://www.airwallex.com/guides/payout
Transfer method, i.e., SWIFT, LOCAL
Condition map specified in the request defines the API schema
Account currency (3-letter ISO 4217 currency code)
Bank country code (2-letter ISO 3166-2 country code)
Entity type of the beneficiary, i.e., COMPANY, PERSONAL
Local clearing systems are available for selection when making local transfers to the following countries and currencies: US USD, AU AUD, HK HKD, HK USD, HK CNY, SG SGD. Without specification, it will be set to the default value. To learn more, please visit: https://www.airwallex.com/guides/payout
Transfer method, i.e., SWIFT, LOCAL
List of fields in the API schema defined by the condition map
Identifier of the field
Parameter path of this field when creating a beneficiary or a transfer, e.g., for the field "first_name", its parameter path would be "beneficiary.first_name"
Whether this field is required when creating a beneficiary or a transfer
Specifies the field type and the field requirement in regular expression using JSON
Identifier of the API schema
| Error status | Description |
|---|---|
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.airwallex.com/api/v1/beneficiary_api_schemas/generate' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "bank_country_code": "US",> "account_currency": "USD",> "transfer_method": "LOCAL",> "local_clearing_system": "ACH",> "entity_type": "PERSONAL">}'
1{2 "condition": {3 "bank_country_code": "US",4 "account_currency": "USD",5 "transfer_method": "LOCAL",6 "local_clearing_system": "ACH",7 "entity_type": "PERSONAL"8 },9 "fields": [10 {11 "key": "entity_type",12 "path": "beneficiary.entity_type",13 "required": true,14 "rule": {15 "type": "string",16 "pattern": "COMPANY|PERSONAL"17 }18 },19 {20 "key": "bank_country_code",21 "path": "beneficiary.bank_details.bank_country_code",22 "required": true,23 "rule": {24 "type": "string",25 "pattern": "AD|AE|AG|AI|AL|AM|AN|AO|AR|AT|AU|AW|AZ|BA|BD|BE|BG|BH|BO|BR|BZ|CA|CH|CL|CN|CO|CR|CW|CY|CZ|DE|DK|DM|DO|DZ|EC|EE|EG|ES|FI|FJ|FR|GB|GD|GE|GG|GI|GQ|GR|GT|GY|HK|HN|HR|HU|ID|IE|IL|IM|IN|IS|IT|JE|JM|JO|JP|KE|KG|KH|KR|KW|KZ|LI|LK|LT|LU|LV|MA|MC|MD|ME|MK|MO|MQ|MT|MU|MV|MX|MY|NA|NG|NL|NO|NP|NZ|OM|PA|PE|PF|PH|PK|PL|PM|PR|PT|PY|QA|RO|RS|RU|SA|SC|SE|SG|SI|SK|SM|SV|TH|TJ|TN|TR|TW|TZ|UA|UG|US|UY|UZ|VN|VU|YT|ZA|ZM"26 }27 },28 {29 "key": "account_currency",30 "path": "beneficiary.bank_details.account_currency",31 "required": true,32 "rule": {33 "type": "string",34 "pattern": "AUD|BDT|CAD|CHF|CNY|EUR|GBP|HKD|IDR|INR|JPY|KRW|LKR|MYR|NPR|NZD|PHP|PKR|SGD|THB|TRY|USD|VND"35 }36 },37 {38 "key": "transfer_method",39 "path": "transfer_method",40 "required": true,41 "rule": {42 "type": "string",43 "pattern": "LOCAL|SWIFT"44 }45 },46 {47 "key": "local_clearing_system",48 "path": "beneficiary.bank_details.local_clearing_system",49 "required": false,50 "rule": {51 "type": "string",52 "pattern": "ACH|FEDWIRE"53 }54 },55 {56 "key": "first_name",57 "path": "beneficiary.first_name",58 "required": true,59 "rule": {60 "type": "string",61 "pattern": "^.{1,50}$"62 }63 },64 {65 "key": "last_name",66 "path": "beneficiary.last_name",67 "required": true,68 "rule": {69 "type": "string",70 "pattern": "^.{1,50}$"71 }72 },73 {74 "key": "date_of_birth",75 "path": "beneficiary.date_of_birth",76 "required": false,77 "rule": {78 "type": "string",79 "pattern": "^[0-9]{4}-[0-9]{2}-[0-9]{2}$"80 }81 },82 {83 "key": "account_routing_type1",84 "path": "beneficiary.bank_details.account_routing_type1",85 "required": true,86 "rule": {87 "pattern": "^aba$",88 "type": "string"89 }90 },91 {92 "key": "account_routing_value1",93 "path": "beneficiary.bank_details.account_routing_value1",94 "required": true,95 "rule": {96 "pattern": "^[0-9]{9}$",97 "type": "string"98 }99 },100 {101 "key": "bank_name",102 "path": "beneficiary.bank_details.bank_name",103 "required": true,104 "rule": {105 "type": "string",106 "pattern": "^.{1,200}$"107 }108 },109 {110 "key": "account_number",111 "path": "beneficiary.bank_details.account_number",112 "required": true,113 "rule": {114 "pattern": "^[0-9]{1,17}$",115 "type": "string"116 }117 },118 {119 "key": "account_name",120 "path": "beneficiary.bank_details.account_name",121 "required": true,122 "rule": {123 "type": "string",124 "pattern": "^.{2,100}$"125 }126 },127 {128 "key": "country_code",129 "path": "beneficiary.address.country_code",130 "required": true,131 "rule": {132 "type": "string",133 "pattern": "AD|AE|AG|AI|AL|AM|AN|AO|AQ|AR|AS|AT|AU|AW|AX|AZ|BA|BB|BD|BE|BF|BG|BH|BJ|BL|BM|BN|BO|BQ|BR|BS|BT|BV|BW|BZ|CA|CC|CH|CI|CK|CL|CM|CN|CO|CR|CV|CW|CX|CY|CZ|DE|DJ|DK|DM|DO|DZ|EC|EE|EG|EH|ES|ET|FI|FJ|FK|FM|FO|FR|GA|GB|GD|GE|GF|GG|GH|GI|GL|GM|GN|GP|GQ|GR|GS|GT|GU|GY|HK|HM|HN|HR|HT|HU|ID|IE|IL|IM|IN|IO|IS|IT|JE|JM|JO|JP|KE|KG|KH|KI|KM|KN|KR|KW|KY|KZ|LA|LB|LC|LI|LK|LS|LT|LU|LV|MA|MC|MD|ME|MF|MG|MH|MK|MN|MO|MP|MQ|MR|MS|MT|MU|MV|MW|MX|MY|MZ|NA|NC|NE|NF|NG|NI|NL|NO|NP|NR|NU|NZ|OM|PA|PE|PF|PG|PH|PK|PL|PM|PN|PR|PS|PT|PW|PY|QA|RE|RO|RS|RU|SA|SB|SC|SE|SG|SH|SI|SJ|SK|SM|SN|SR|ST|SV|SX|SZ|TC|TD|TF|TG|TH|TJ|TK|TL|TM|TN|TO|TR|TT|TV|TW|TZ|UA|UG|UM|US|UY|UZ|VA|VC|VG|VI|VN|VU|WF|WS|YT|ZA|ZM"134 }135 },136 {137 "key": "postcode",138 "path": "beneficiary.address.postcode",139 "required": true,140 "rule": {141 "type": "string",142 "pattern": "^.{1,50}$"143 }144 },145 {146 "key": "street_address",147 "path": "beneficiary.address.street_address",148 "required": true,149 "rule": {150 "type": "string",151 "pattern": "^.{1,200}$"152 }153 },154 {155 "key": "city",156 "path": "beneficiary.address.city",157 "required": true,158 "rule": {159 "type": "string",160 "pattern": "^.{1,50}$"161 }162 },163 {164 "key": "state",165 "path": "beneficiary.address.state",166 "required": true,167 "rule": {168 "type": "string",169 "pattern": "^.{1,50}$"170 }171 },172 {173 "key": "nickname",174 "path": "nickname",175 "required": false176 },177 {178 "key": "personal_email",179 "path": "beneficiary.additional_info.personal_email",180 "required": false,181 "rule": {182 "type": "string",183 "pattern": "^(\\S+@\\S+)$"184 }185 }186 ],187 "key": "newRecipient"188}
Get the form schema
POST /api/v1/beneficiary_form_schemas/generate
Form Schema can be used to build your own user interface to collect beneficiaries’ bank account and contact information. It specifies what UI component should be used to render a field along with the corresponding field validation rules. As all schema and field validation rules are maintained by Airwallex, no code changes will be needed on your end when there are updates.
Account currency (3-letter ISO 4217 currency code)
Bank country code (2-letter ISO 3166-2 country code)
Entity type of the beneficiary, i.e., COMPANY, PERSONAL
Local clearing systems are available for selection when making local transfers to the following countries and currencies: US USD, AU AUD, HK HKD, HK USD, HK CNY, SG SGD. Without specification, it will be set to the default value. To learn more, please visit: https://www.airwallex.com/guides/payout
Transfer method, i.e., SWIFT, LOCAL
Condition map specified in the request defines the form schema
Account currency (3-letter ISO 4217 currency code)
Bank country code (2-letter ISO 3166-2 country code)
Entity type of the beneficiary, i.e., COMPANY, PERSONAL
Local clearing systems are available for selection when making local transfers to the following countries and currencies: US USD, AU AUD, HK HKD, HK USD, HK CNY, SG SGD. Without specification, it will be set to the default value. To learn more, please visit: https://www.airwallex.com/guides/payout
Transfer method, i.e., SWIFT, LOCAL
List of fields in the form schema defined by the condition map
This flag specifies whether a field should be enabled for end users on the user interface
Field attributes define how each field in the form schema can be implemented in a user interface
Default value of the field
Description of the field
Key of the field
Label of the field
Placeholder of the filed
Whether updating this field triggers UI reload event
Tip is the information prompted for mouse hover
UI type of the field
INPUT, SELECT, RADIO, TRANSFER_METHOD
Parameter path of this field when creating a beneficiary or a transfer, e.g., for the field "first_name", its parameter path would be "beneficiary.first_name"
Whether this field is required when creating a beneficiary or a transfer
Specifies the field type and the field requirement in regular expression using JSON
Identifier of the form schema
| Error status | Description |
|---|---|
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.airwallex.com/api/v1/beneficiary_form_schemas/generate' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "bank_country_code": "US",> "account_currency": "USD",> "transfer_method": "LOCAL",> "local_clearing_system": "ACH",> "entity_type": "PERSONAL">}'
1{2 "condition": {3 "bank_country_code": "US",4 "account_currency": "USD",5 "transfer_method": "LOCAL",6 "local_clearing_system": "ACH",7 "entity_type": "PERSONAL"8 },9 "fields": [10 {11 "enabled": true,12 "field": {13 "key": "entity_type",14 "options": [15 {16 "label": "Business",17 "value": "COMPANY"18 },19 {20 "label": "Personal",21 "value": "PERSONAL"22 }23 ],24 "default": "PERSONAL",25 "description": "",26 "example": "PERSONAL",27 "label": "Recipient account type",28 "placeholder": "",29 "refresh": true,30 "tip": "",31 "type": "RADIO"32 },33 "path": "beneficiary.entity_type",34 "required": true,35 "rule": {36 "type": "string",37 "pattern": "COMPANY|PERSONAL"38 }39 },40 {41 "enabled": true,42 "field": {43 "key": "bank_country_code",44 "options": [45 {46 "label": "Albania",47 "value": "AL"48 },49 {50 "label": "Algeria",51 "value": "DZ"52 },53 {54 "label": "Andorra",55 "value": "AD"56 },57 {58 "label": "Angola",59 "value": "AO"60 },61 {62 "label": "Anguilla",63 "value": "AI"64 },65 {66 "label": "Antigua and Barbuda",67 "value": "AG"68 },69 {70 "label": "Argentina",71 "value": "AR"72 },73 {74 "label": "Armenia",75 "value": "AM"76 },77 {78 "label": "Aruba",79 "value": "AW"80 },81 {82 "label": "Australia",83 "value": "AU"84 },85 {86 "label": "Austria",87 "value": "AT"88 },89 {90 "label": "Azerbaijan",91 "value": "AZ"92 },93 {94 "label": "Bahrain",95 "value": "BH"96 },97 {98 "label": "Bangladesh",99 "value": "BD"100 },101 {102 "label": "Belgium",103 "value": "BE"104 },105 {106 "label": "Belize",107 "value": "BZ"108 },109 {110 "label": "Benin",111 "value": "BJ"112 },113 {114 "label": "Bolivia (Plurinational State of)",115 "value": "BO"116 },117 {118 "label": "Bosnia and Herzegovina",119 "value": "BA"120 },121 {122 "label": "Botswana",123 "value": "BW"124 },125 {126 "label": "Brazil",127 "value": "BR"128 },129 {130 "label": "Bulgaria",131 "value": "BG"132 },133 {134 "label": "Burkina Faso",135 "value": "BF"136 },137 {138 "label": "Cambodia",139 "value": "KH"140 },141 {142 "label": "Cameroon",143 "value": "CM"144 },145 {146 "label": "Canada",147 "value": "CA"148 },149 {150 "label": "Canary Islands",151 "value": "IC"152 },153 {154 "label": "Central African Republic",155 "value": "CF"156 },157 {158 "label": "Chad",159 "value": "TD"160 },161 {162 "label": "Chile",163 "value": "CL"164 },165 {166 "label": "China",167 "value": "CN"168 },169 {170 "label": "Colombia",171 "value": "CO"172 },173 {174 "label": "Congo",175 "value": "CG"176 },177 {178 "label": "Costa Rica",179 "value": "CR"180 },181 {182 "label": "Croatia",183 "value": "HR"184 },185 {186 "label": "Curaçao",187 "value": "CW"188 },189 {190 "label": "Cyprus",191 "value": "CY"192 },193 {194 "label": "Czech Republic",195 "value": "CZ"196 },197 {198 "label": "Côte d'Ivoire",199 "value": "CI"200 },201 {202 "label": "Denmark",203 "value": "DK"204 },205 {206 "label": "Dominica",207 "value": "DM"208 },209 {210 "label": "Dominican Republic",211 "value": "DO"212 },213 {214 "label": "Ecuador",215 "value": "EC"216 },217 {218 "label": "Egypt",219 "value": "EG"220 },221 {222 "label": "El Salvador",223 "value": "SV"224 },225 {226 "label": "Equatorial Guinea",227 "value": "GQ"228 },229 {230 "label": "Estonia",231 "value": "EE"232 },233 {234 "label": "Faroe Islands",235 "value": "FO"236 },237 {238 "label": "Fiji",239 "value": "FJ"240 },241 {242 "label": "Finland",243 "value": "FI"244 },245 {246 "label": "France",247 "value": "FR"248 },249 {250 "label": "French Guiana",251 "value": "GF"252 },253 {254 "label": "French Polynesia",255 "value": "PF"256 },257 {258 "label": "French Southern Territories",259 "value": "TF"260 },261 {262 "label": "Gabon",263 "value": "GA"264 },265 {266 "label": "Gambia",267 "value": "GM"268 },269 {270 "label": "Georgia",271 "value": "GE"272 },273 {274 "label": "Germany",275 "value": "DE"276 },277 {278 "label": "Gibraltar",279 "value": "GI"280 },281 {282 "label": "Greece",283 "value": "GR"284 },285 {286 "label": "Greenland",287 "value": "GL"288 },289 {290 "label": "Grenada",291 "value": "GD"292 },293 {294 "label": "Guatemala",295 "value": "GT"296 },297 {298 "label": "Guernsey",299 "value": "GG"300 },301 {302 "label": "Guinea Bissau",303 "value": "GW"304 },305 {306 "label": "Guyana",307 "value": "GY"308 },309 {310 "label": "Honduras",311 "value": "HN"312 },313 {314 "label": "Hong Kong (China)",315 "value": "HK"316 },317 {318 "label": "Hungary",319 "value": "HU"320 },321 {322 "label": "Iceland",323 "value": "IS"324 },325 {326 "label": "India",327 "value": "IN"328 },329 {330 "label": "Indonesia",331 "value": "ID"332 },333 {334 "label": "Ireland",335 "value": "IE"336 },337 {338 "label": "Isle of Man",339 "value": "IM"340 },341 {342 "label": "Israel",343 "value": "IL"344 },345 {346 "label": "Italy",347 "value": "IT"348 },349 {350 "label": "Jamaica",351 "value": "JM"352 },353 {354 "label": "Japan",355 "value": "JP"356 },357 {358 "label": "Jersey",359 "value": "JE"360 },361 {362 "label": "Jordan",363 "value": "JO"364 },365 {366 "label": "Kazakhstan",367 "value": "KZ"368 },369 {370 "label": "Kenya",371 "value": "KE"372 },373 {374 "label": "Korea, Republic of",375 "value": "KR"376 },377 {378 "label": "Kosovo",379 "value": "XK"380 },381 {382 "label": "Kuwait",383 "value": "KW"384 },385 {386 "label": "Kyrgyzstan",387 "value": "KG"388 },389 {390 "label": "Latvia",391 "value": "LV"392 },393 {394 "label": "Lesotho",395 "value": "LS"396 },397 {398 "label": "Liechtenstein",399 "value": "LI"400 },401 {402 "label": "Lithuania",403 "value": "LT"404 },405 {406 "label": "Luxembourg",407 "value": "LU"408 },409 {410 "label": "Macao (China)",411 "value": "MO"412 },413 {414 "label": "Macedonia, the former Yugoslav Republic of",415 "value": "MK"416 },417 {418 "label": "Madagascar",419 "value": "MG"420 },421 {422 "label": "Malawi",423 "value": "MW"424 },425 {426 "label": "Malaysia",427 "value": "MY"428 },429 {430 "label": "Maldives",431 "value": "MV"432 },433 {434 "label": "Malta",435 "value": "MT"436 },437 {438 "label": "Martinique",439 "value": "MQ"440 },441 {442 "label": "Mauritania",443 "value": "MR"444 },445 {446 "label": "Mauritius",447 "value": "MU"448 },449 {450 "label": "Mayotte",451 "value": "YT"452 },453 {454 "label": "Mexico",455 "value": "MX"456 },457 {458 "label": "Moldova",459 "value": "MD"460 },461 {462 "label": "Monaco",463 "value": "MC"464 },465 {466 "label": "Montenegro",467 "value": "ME"468 },469 {470 "label": "Morocco",471 "value": "MA"472 },473 {474 "label": "Namibia",475 "value": "NA"476 },477 {478 "label": "Nepal",479 "value": "NP"480 },481 {482 "label": "Netherlands",483 "value": "NL"484 },485 {486 "label": "Netherlands Antilles",487 "value": "AN"488 },489 {490 "label": "New Caledonia",491 "value": "NC"492 },493 {494 "label": "New Zealand",495 "value": "NZ"496 },497 {498 "label": "Niger",499 "value": "NE"500 },501 {502 "label": "Nigeria",503 "value": "NG"504 },505 {506 "label": "Norway",507 "value": "NO"508 },509 {510 "label": "Oman",511 "value": "OM"512 },513 {514 "label": "Pakistan",515 "value": "PK"516 },517 {518 "label": "Palestine, State of",519 "value": "PS"520 },521 {522 "label": "Panama",523 "value": "PA"524 },525 {526 "label": "Paraguay",527 "value": "PY"528 },529 {530 "label": "Peru",531 "value": "PE"532 },533 {534 "label": "Philippines",535 "value": "PH"536 },537 {538 "label": "Poland",539 "value": "PL"540 },541 {542 "label": "Portugal",543 "value": "PT"544 },545 {546 "label": "Puerto Rico",547 "value": "PR"548 },549 {550 "label": "Qatar",551 "value": "QA"552 },553 {554 "label": "Romania",555 "value": "RO"556 },557 {558 "label": "Rwanda",559 "value": "RW"560 },561 {562 "label": "Réunion",563 "value": "RE"564 },565 {566 "label": "Saint Barthélemy",567 "value": "BL"568 },569 {570 "label": "Saint Lucia",571 "value": "LC"572 },573 {574 "label": "Saint Martin (French part)",575 "value": "MF"576 },577 {578 "label": "Saint Pierre and Miquelon",579 "value": "PM"580 },581 {582 "label": "San Marino",583 "value": "SM"584 },585 {586 "label": "Saudi Arabia",587 "value": "SA"588 },589 {590 "label": "Senegal",591 "value": "SN"592 },593 {594 "label": "Serbia",595 "value": "RS"596 },597 {598 "label": "Seychelles",599 "value": "SC"600 },601 {602 "label": "Singapore",603 "value": "SG"604 },605 {606 "label": "Slovakia",607 "value": "SK"608 },609 {610 "label": "Slovenia",611 "value": "SI"612 },613 {614 "label": "South Africa",615 "value": "ZA"616 },617 {618 "label": "Spain",619 "value": "ES"620 },621 {622 "label": "Sri Lanka",623 "value": "LK"624 },625 {626 "label": "Sweden",627 "value": "SE"628 },629 {630 "label": "Switzerland",631 "value": "CH"632 },633 {634 "label": "Taiwan (China)",635 "value": "TW"636 },637 {638 "label": "Tajikistan",639 "value": "TJ"640 },641 {642 "label": "Tanzania, United Republic of",643 "value": "TZ"644 },645 {646 "label": "Thailand",647 "value": "TH"648 },649 {650 "label": "Timor-Leste",651 "value": "TL"652 },653 {654 "label": "Togo",655 "value": "TG"656 },657 {658 "label": "Tunisia",659 "value": "TN"660 },661 {662 "label": "Turkey",663 "value": "TR"664 },665 {666 "label": "Uganda",667 "value": "UG"668 },669 {670 "label": "Ukraine",671 "value": "UA"672 },673 {674 "label": "United Arab Emirates",675 "value": "AE"676 },677 {678 "label": "United Kingdom",679 "value": "GB"680 },681 {682 "label": "United States of America",683 "value": "US"684 },685 {686 "label": "Uruguay",687 "value": "UY"688 },689 {690 "label": "Uzbekistan",691 "value": "UZ"692 },693 {694 "label": "Vanuatu",695 "value": "VU"696 },697 {698 "label": "Viet Nam",699 "value": "VN"700 },701 {702 "label": "Virgin Islands (British)",703 "value": "VG"704 },705 {706 "label": "Wallis and Futuna",707 "value": "WF"708 },709 {710 "label": "Zambia",711 "value": "ZM"712 }713 ],714 "default": "US",715 "description": "The recipient's bank country / region",716 "example": "US",717 "label": "Bank country / region",718 "placeholder": "",719 "refresh": true,720 "tip": "",721 "type": "SELECT"722 },723 "path": "beneficiary.bank_details.bank_country_code",724 "required": true,725 "rule": {726 "type": "string",727 "pattern": "AD|AE|AG|AI|AL|AM|AN|AO|AR|AT|AU|AW|AZ|BA|BD|BE|BF|BG|BH|BJ|BL|BO|BR|BW|BZ|CA|CF|CG|CH|CI|CL|CM|CN|CO|CR|CW|CY|CZ|DE|DK|DM|DO|DZ|EC|EE|EG|ES|FI|FJ|FO|FR|GA|GB|GD|GE|GF|GG|GI|GL|GM|GQ|GR|GT|GW|GY|HK|HN|HR|HU|IC|ID|IE|IL|IM|IN|IS|IT|JE|JM|JO|JP|KE|KG|KH|KR|KW|KZ|LC|LI|LK|LS|LT|LU|LV|MA|MC|MD|ME|MF|MG|MK|MO|MQ|MR|MT|MU|MV|MW|MX|MY|NA|NC|NE|NG|NL|NO|NP|NZ|OM|PA|PE|PF|PH|PK|PL|PM|PR|PS|PT|PY|QA|RE|RO|RS|RW|SA|SC|SE|SG|SI|SK|SM|SN|SV|TD|TF|TG|TH|TJ|TL|TN|TR|TW|TZ|UA|UG|US|UY|UZ|VG|VN|VU|WF|XK|YT|ZA|ZM"728 }729 },730 {731 "enabled": true,732 "field": {733 "key": "account_currency",734 "options": [735 {736 "label": "AED - UAE Dirham",737 "value": "AED"738 },739 {740 "label": "AOA - Angolan Kwanza",741 "value": "AOA"742 },743 {744 "label": "ARS - Argentine Peso",745 "value": "ARS"746 },747 {748 "label": "AUD - Australian Dollar",749 "value": "AUD"750 },751 {752 "label": "BDT - Bangladeshi Taka",753 "value": "BDT"754 },755 {756 "label": "BGN - Bulgarian Lev",757 "value": "BGN"758 },759 {760 "label": "BOB - Bolivian Boliviano",761 "value": "BOB"762 },763 {764 "label": "BRL - Brazilian Real",765 "value": "BRL"766 },767 {768 "label": "BWP - Botswanan Pula",769 "value": "BWP"770 },771 {772 "label": "CAD - Canadian Dollar",773 "value": "CAD"774 },775 {776 "label": "CHF - Swiss Franc",777 "value": "CHF"778 },779 {780 "label": "CLP - Chilean Peso",781 "value": "CLP"782 },783 {784 "label": "CNY - Chinese Yuan",785 "value": "CNY"786 },787 {788 "label": "COP - Colombian Peso",789 "value": "COP"790 },791 {792 "label": "CZK - Czech Koruna",793 "value": "CZK"794 },795 {796 "label": "DKK - Danish Krone",797 "value": "DKK"798 },799 {800 "label": "EGP - Egyptian Pound",801 "value": "EGP"802 },803 {804 "label": "EUR - Euro",805 "value": "EUR"806 },807 {808 "label": "GBP - Great Britain Pound",809 "value": "GBP"810 },811 {812 "label": "GMD - Gambian Dalasi",813 "value": "GMD"814 },815 {816 "label": "HKD - Hong Kong Dollar",817 "value": "HKD"818 },819 {820 "label": "HUF - Hungarian Forint",821 "value": "HUF"822 },823 {824 "label": "IDR - Indonesian Rupiah",825 "value": "IDR"826 },827 {828 "label": "ILS - Israeli New Shekel",829 "value": "ILS"830 },831 {832 "label": "INR - Indian Rupee",833 "value": "INR"834 },835 {836 "label": "JPY - Japanese Yen",837 "value": "JPY"838 },839 {840 "label": "KES - Kenyan Shilling",841 "value": "KES"842 },843 {844 "label": "KRW - Korean Won",845 "value": "KRW"846 },847 {848 "label": "LKR - Sri Lankan Rupee",849 "value": "LKR"850 },851 {852 "label": "LSL - Lesotho Loti",853 "value": "LSL"854 },855 {856 "label": "MAD - Moroccan Dirham",857 "value": "MAD"858 },859 {860 "label": "MGA - Malagasy Ariary",861 "value": "MGA"862 },863 {864 "label": "MWK - Malawian Kwacha",865 "value": "MWK"866 },867 {868 "label": "MXN - Mexican Peso",869 "value": "MXN"870 },871 {872 "label": "MYR - Malaysian Ringgit",873 "value": "MYR"874 },875 {876 "label": "NAD - Namibian Dollar",877 "value": "NAD"878 },879 {880 "label": "NGN - Nigerian Naira",881 "value": "NGN"882 },883 {884 "label": "NOK - Norwegian Krone",885 "value": "NOK"886 },887 {888 "label": "NPR - Nepalese Rupee",889 "value": "NPR"890 },891 {892 "label": "NZD - New Zealand Dollar",893 "value": "NZD"894 },895 {896 "label": "PEN - Peruvian Sol",897 "value": "PEN"898 },899 {900 "label": "PHP - Philippine Peso",901 "value": "PHP"902 },903 {904 "label": "PKR - Pakistani Rupee",905 "value": "PKR"906 },907 {908 "label": "PLN - Polish Zloty",909 "value": "PLN"910 },911 {912 "label": "PYG - Paraguayan Guarani",913 "value": "PYG"914 },915 {916 "label": "RON - Romanian Leu",917 "value": "RON"918 },919 {920 "label": "RWF - Rwandan Franc",921 "value": "RWF"922 },923 {924 "label": "SAR - Saudi Riyal",925 "value": "SAR"926 },927 {928 "label": "SEK - Swedish Krona",929 "value": "SEK"930 },931 {932 "label": "SGD - Singapore Dollar",933 "value": "SGD"934 },935 {936 "label": "THB - Thai Baht",937 "value": "THB"938 },939 {940 "label": "TRY - Turkish Lira",941 "value": "TRY"942 },943 {944 "label": "USD - United States Dollar",945 "value": "USD"946 },947 {948 "label": "UYU - Uruguayan Peso",949 "value": "UYU"950 },951 {952 "label": "VND - Vietnamese Dong",953 "value": "VND"954 },955 {956 "label": "XAF - Central African CFA Franc",957 "value": "XAF"958 },959 {960 "label": "XOF - West African CFA Franc",961 "value": "XOF"962 },963 {964 "label": "ZAR - South African Rand",965 "value": "ZAR"966 },967 {968 "label": "ZMW - Zambian Kwacha",969 "value": "ZMW"970 }971 ],972 "default": "USD",973 "description": "The recipient’s bank account currency",974 "example": "USD",975 "label": "Account currency",976 "placeholder": "",977 "refresh": true,978 "tip": "",979 "type": "SELECT"980 },981 "path": "beneficiary.bank_details.account_currency",982 "required": true,983 "rule": {984 "type": "string",985 "pattern": "AED|AOA|ARS|AUD|BDT|BGN|BOB|BRL|BWP|CAD|CHF|CLP|CNY|COP|CZK|DKK|EGP|EUR|GBP|GMD|HKD|HUF|IDR|ILS|INR|JPY|KES|KRW|LKR|LSL|MAD|MGA|MWK|MXN|MYR|NAD|NGN|NOK|NPR|NZD|PEN|PHP|PKR|PLN|PYG|RON|RWF|SAR|SEK|SGD|THB|TRY|USD|UYU|VND|XAF|XOF|ZAR|ZMW"986 }987 },988 {989 "enabled": true,990 "field": {991 "key": "transfer_method",992 "options": [993 {994 "description": "Domestic bank transfer in the destination country, which needs:\n• Account routing number (or SWIFT code)\n• Account number",995 "label": "LOCAL",996 "value": "LOCAL"997 },998 {999 "description": "International bank transfer, which needs:\n• SWIFT code\n• Account number",1000 "flight_time": {1001 "max": "P1D",1002 "min": "P0D"1003 },1004 "label": "SWIFT",1005 "transfer_limit": {1006 "min": {1007 "amount": 0,1008 "currency": "USD"1009 }1010 },1011 "value": "SWIFT"1012 }1013 ],1014 "default": "LOCAL",1015 "description": "",1016 "example": "LOCAL",1017 "label": "Transfer methods",1018 "placeholder": "",1019 "refresh": true,1020 "tip": "",1021 "type": "TRANSFER_METHOD"1022 },1023 "path": "transfer_method",1024 "required": true,1025 "rule": {1026 "type": "string",1027 "pattern": "LOCAL|SWIFT"1028 }1029 },1030 {1031 "enabled": true,1032 "field": {1033 "key": "local_clearing_system",1034 "options": [1035 {1036 "description": "Local bank transfer with maximum transfer limit, which needs:\n• ACH routing number\n• Account number",1037 "flight_time": {1038 "max": "P2D",1039 "min": "P0D"1040 },1041 "label": "ACH",1042 "transfer_limit": {1043 "max": {1044 "amount": 15000000,1045 "currency": "USD"1046 },1047 "min": {1048 "amount": 0,1049 "currency": "USD"1050 }1051 },1052 "value": "ACH"1053 },1054 {1055 "description": "Real-time bank transfer, which needs:\n• Fedwire ABA routing number\n• Account number",1056 "flight_time": {1057 "max": "P1D",1058 "min": "P0D"1059 },1060 "label": "Fedwire",1061 "transfer_limit": {1062 "min": {1063 "amount": 0,1064 "currency": "USD"1065 }1066 },1067 "value": "FEDWIRE"1068 },1069 {1070 "description": "Transfer by issuing a paper check, which needs:\n• Recipient’s address\n• Recipient’s name",1071 "flight_time": {1072 "max": "P6D",1073 "min": "P2D"1074 },1075 "label": "Paper Check",1076 "transfer_limit": {1077 "max": {1078 "amount": 99999999.99,1079 "currency": "USD"1080 },1081 "min": {1082 "amount": 0,1083 "currency": "USD"1084 }1085 },1086 "value": "PAPER_CHECK"1087 }1088 ],1089 "default": "ACH",1090 "description": "",1091 "example": "ACH",1092 "label": "Transfer methods",1093 "placeholder": "",1094 "refresh": true,1095 "tip": "",1096 "type": "TRANSFER_METHOD"1097 },1098 "path": "beneficiary.bank_details.local_clearing_system",1099 "required": false,1100 "rule": {1101 "type": "string",1102 "pattern": "ACH|FEDWIRE|PAPER_CHECK"1103 }1104 },1105 {1106 "enabled": true,1107 "field": {1108 "key": "date_of_birth",1109 "default": "",1110 "description": "",1111 "example": "2000-01-01",1112 "label": "Date of birth",1113 "placeholder": "",1114 "refresh": false,1115 "tip": "",1116 "type": "INPUT"1117 },1118 "path": "beneficiary.date_of_birth",1119 "required": false,1120 "rule": {1121 "type": "string",1122 "pattern": "^[0-9]{4}-[0-9]{2}-[0-9]{2}$"1123 }1124 },1125 {1126 "enabled": false,1127 "field": {1128 "key": "account_routing_type1",1129 "default": "aba",1130 "description": "",1131 "example": "aba",1132 "label": "Routing code type",1133 "placeholder": "",1134 "refresh": false,1135 "tip": "",1136 "type": "INPUT"1137 },1138 "path": "beneficiary.bank_details.account_routing_type1",1139 "required": true,1140 "rule": {1141 "pattern": "^aba$",1142 "type": "string"1143 }1144 },1145 {1146 "enabled": true,1147 "field": {1148 "key": "account_routing_value1",1149 "default": "",1150 "description": "9-digit number to identify a bank in the US",1151 "example": "021000021",1152 "label": "ACH routing number",1153 "placeholder": "",1154 "refresh": false,1155 "tip": "",1156 "type": "INPUT"1157 },1158 "path": "beneficiary.bank_details.account_routing_value1",1159 "required": true,1160 "rule": {1161 "pattern": "^[0-9]{9}$",1162 "type": "string"1163 }1164 },1165 {1166 "enabled": true,1167 "field": {1168 "key": "account_number",1169 "default": "",1170 "description": "",1171 "example": "50001121",1172 "label": "Account number",1173 "placeholder": "",1174 "refresh": false,1175 "tip": "",1176 "type": "INPUT"1177 },1178 "path": "beneficiary.bank_details.account_number",1179 "required": true,1180 "rule": {1181 "pattern": "^[0-9]{1,17}$",1182 "type": "string"1183 }1184 },1185 {1186 "enabled": true,1187 "field": {1188 "key": "account_name",1189 "default": "",1190 "description": "Enter the account holder's full name as registered with the bank",1191 "example": "John Walker",1192 "label": "Account name",1193 "placeholder": "",1194 "refresh": false,1195 "tip": "",1196 "type": "INPUT"1197 },1198 "path": "beneficiary.bank_details.account_name",1199 "required": true,1200 "rule": {1201 "type": "string",1202 "pattern": "^[\\s\\S]{2,200}$"1203 }1204 },1205 {1206 "enabled": true,1207 "field": {1208 "key": "country_code",1209 "options": [1210 {1211 "label": "Albania",1212 "value": "AL"1213 },1214 {1215 "label": "Algeria",1216 "value": "DZ"1217 },1218 {1219 "label": "American Samoa",1220 "value": "AS"1221 },1222 {1223 "label": "Andorra",1224 "value": "AD"1225 },1226 {1227 "label": "Angola",1228 "value": "AO"1229 },1230 {1231 "label": "Anguilla",1232 "value": "AI"1233 },1234 {1235 "label": "Antarctica",1236 "value": "AQ"1237 },1238 {1239 "label": "Antigua and Barbuda",1240 "value": "AG"1241 },1242 {1243 "label": "Argentina",1244 "value": "AR"1245 },1246 {1247 "label": "Armenia",1248 "value": "AM"1249 },1250 {1251 "label": "Aruba",1252 "value": "AW"1253 },1254 {1255 "label": "Australia",1256 "value": "AU"1257 },1258 {1259 "label": "Austria",1260 "value": "AT"1261 },1262 {1263 "label": "Azerbaijan",1264 "value": "AZ"1265 },1266 {1267 "label": "Bahamas",1268 "value": "BS"1269 },1270 {1271 "label": "Bahrain",1272 "value": "BH"1273 },1274 {1275 "label": "Bangladesh",1276 "value": "BD"1277 },1278 {1279 "label": "Barbados",1280 "value": "BB"1281 },1282 {1283 "label": "Belgium",1284 "value": "BE"1285 },1286 {1287 "label": "Belize",1288 "value": "BZ"1289 },1290 {1291 "label": "Benin",1292 "value": "BJ"1293 },1294 {1295 "label": "Bermuda",1296 "value": "BM"1297 },1298 {1299 "label": "Bhutan",1300 "value": "BT"1301 },1302 {1303 "label": "Bolivia (Plurinational State of)",1304 "value": "BO"1305 },1306 {1307 "label": "Bonaire, Sint Eustatius and Saba",1308 "value": "BQ"1309 },1310 {1311 "label": "Bosnia and Herzegovina",1312 "value": "BA"1313 },1314 {1315 "label": "Botswana",1316 "value": "BW"1317 },1318 {1319 "label": "Bouvet Island",1320 "value": "BV"1321 },1322 {1323 "label": "Brazil",1324 "value": "BR"1325 },1326 {1327 "label": "British Indian Ocean Territory",1328 "value": "IO"1329 },1330 {1331 "label": "Brunei Darussalam",1332 "value": "BN"1333 },1334 {1335 "label": "Bulgaria",1336 "value": "BG"1337 },1338 {1339 "label": "Burkina Faso",1340 "value": "BF"1341 },1342 {1343 "label": "Burundi",1344 "value": "BI"1345 },1346 {1347 "label": "Cabo Verde",1348 "value": "CV"1349 },1350 {1351 "label": "Cambodia",1352 "value": "KH"1353 },1354 {1355 "label": "Cameroon",1356 "value": "CM"1357 },1358 {1359 "label": "Canada",1360 "value": "CA"1361 },1362 {1363 "label": "Canary Islands",1364 "value": "IC"1365 },1366 {1367 "label": "Cayman Islands",1368 "value": "KY"1369 },1370 {1371 "label": "Central African Republic",1372 "value": "CF"1373 },1374 {1375 "label": "Chad",1376 "value": "TD"1377 },1378 {1379 "label": "Chile",1380 "value": "CL"1381 },1382 {1383 "label": "China",1384 "value": "CN"1385 },1386 {1387 "label": "Christmas Island",1388 "value": "CX"1389 },1390 {1391 "label": "Cocos (Keeling) Islands",1392 "value": "CC"1393 },1394 {1395 "label": "Colombia",1396 "value": "CO"1397 },1398 {1399 "label": "Comoros",1400 "value": "KM"1401 },1402 {1403 "label": "Congo",1404 "value": "CG"1405 },1406 {1407 "label": "Cook Islands",1408 "value": "CK"1409 },1410 {1411 "label": "Costa Rica",1412 "value": "CR"1413 },1414 {1415 "label": "Croatia",1416 "value": "HR"1417 },1418 {1419 "label": "Curaçao",1420 "value": "CW"1421 },1422 {1423 "label": "Cyprus",1424 "value": "CY"1425 },1426 {1427 "label": "Czech Republic",1428 "value": "CZ"1429 },1430 {1431 "label": "Côte d'Ivoire",1432 "value": "CI"1433 },1434 {1435 "label": "Denmark",1436 "value": "DK"1437 },1438 {1439 "label": "Djibouti",1440 "value": "DJ"1441 },1442 {1443 "label": "Dominica",1444 "value": "DM"1445 },1446 {1447 "label": "Dominican Republic",1448 "value": "DO"1449 },1450 {1451 "label": "Ecuador",1452 "value": "EC"1453 },1454 {1455 "label": "Egypt",1456 "value": "EG"1457 },1458 {1459 "label": "El Salvador",1460 "value": "SV"1461 },1462 {1463 "label": "Equatorial Guinea",1464 "value": "GQ"1465 },1466 {1467 "label": "Eritrea",1468 "value": "ER"1469 },1470 {1471 "label": "Estonia",1472 "value": "EE"1473 },1474 {1475 "label": "Ethiopia",1476 "value": "ET"1477 },1478 {1479 "label": "Falkland Islands (Malvinas)",1480 "value": "FK"1481 },1482 {1483 "label": "Faroe Islands",1484 "value": "FO"1485 },1486 {1487 "label": "Fiji",1488 "value": "FJ"1489 },1490 {1491 "label": "Finland",1492 "value": "FI"1493 },1494 {1495 "label": "France",1496 "value": "FR"1497 },1498 {1499 "label": "French Guiana",1500 "value": "GF"1501 },1502 {1503 "label": "French Polynesia",1504 "value": "PF"1505 },1506 {1507 "label": "French Southern Territories",1508 "value": "TF"1509 },1510 {1511 "label": "Gabon",1512 "value": "GA"1513 },1514 {1515 "label": "Gambia",1516 "value": "GM"1517 },1518 {1519 "label": "Georgia",1520 "value": "GE"1521 },1522 {1523 "label": "Germany",1524 "value": "DE"1525 },1526 {1527 "label": "Ghana",1528 "value": "GH"1529 },1530 {1531 "label": "Gibraltar",1532 "value": "GI"1533 },1534 {1535 "label": "Greece",1536 "value": "GR"1537 },1538 {1539 "label": "Greenland",1540 "value": "GL"1541 },1542 {1543 "label": "Grenada",1544 "value": "GD"1545 },1546 {1547 "label": "Guadeloupe",1548 "value": "GP"1549 },1550 {1551 "label": "Guam",1552 "value": "GU"1553 },1554 {1555 "label": "Guatemala",1556 "value": "GT"1557 },1558 {1559 "label": "Guernsey",1560 "value": "GG"1561 },1562 {1563 "label": "Guinea",1564 "value": "GN"1565 },1566 {1567 "label": "Guinea Bissau",1568 "value": "GW"1569 },1570 {1571 "label": "Guyana",1572 "value": "GY"1573 },1574 {1575 "label": "Heard Island and McDonald Islands",1576 "value": "HM"1577 },1578 {1579 "label": "Holy See",1580 "value": "VA"1581 },1582 {1583 "label": "Honduras",1584 "value": "HN"1585 },1586 {1587 "label": "Hong Kong (China)",1588 "value": "HK"1589 },1590 {1591 "label": "Hungary",1592 "value": "HU"1593 },1594 {1595 "label": "Iceland",1596 "value": "IS"1597 },1598 {1599 "label": "India",1600 "value": "IN"1601 },1602 {1603 "label": "Indonesia",1604 "value": "ID"1605 },1606 {1607 "label": "Ireland",1608 "value": "IE"1609 },1610 {1611 "label": "Isle of Man",1612 "value": "IM"1613 },1614 {1615 "label": "Israel",1616 "value": "IL"1617 },1618 {1619 "label": "Italy",1620 "value": "IT"1621 },1622 {1623 "label": "Jamaica",1624 "value": "JM"1625 },1626 {1627 "label": "Japan",1628 "value": "JP"1629 },1630 {1631 "label": "Jersey",1632 "value": "JE"1633 },1634 {1635 "label": "Jordan",1636 "value": "JO"1637 },1638 {1639 "label": "Kazakhstan",1640 "value": "KZ"1641 },1642 {1643 "label": "Kenya",1644 "value": "KE"1645 },1646 {1647 "label": "Kiribati",1648 "value": "KI"1649 },1650 {1651 "label": "Korea, Republic of",1652 "value": "KR"1653 },1654 {1655 "label": "Kosovo",1656 "value": "XK"1657 },1658 {1659 "label": "Kuwait",1660 "value": "KW"1661 },1662 {1663 "label": "Kyrgyzstan",1664 "value": "KG"1665 },1666 {1667 "label": "Lao People's Democratic Republic",1668 "value": "LA"1669 },1670 {1671 "label": "Latvia",1672 "value": "LV"1673 },1674 {1675 "label": "Lebanon",1676 "value": "LB"1677 },1678 {1679 "label": "Lesotho",1680 "value": "LS"1681 },1682 {1683 "label": "Liberia",1684 "value": "LR"1685 },1686 {1687 "label": "Libya",1688 "value": "LY"1689 },1690 {1691 "label": "Liechtenstein",1692 "value": "LI"1693 },1694 {1695 "label": "Lithuania",1696 "value": "LT"1697 },1698 {1699 "label": "Luxembourg",1700 "value": "LU"1701 },1702 {1703 "label": "Macao (China)",1704 "value": "MO"1705 },1706 {1707 "label": "Macedonia, the former Yugoslav Republic of",1708 "value": "MK"1709 },1710 {1711 "label": "Madagascar",1712 "value": "MG"1713 },1714 {1715 "label": "Malawi",1716 "value": "MW"1717 },1718 {1719 "label": "Malaysia",1720 "value": "MY"1721 },1722 {1723 "label": "Maldives",1724 "value": "MV"1725 },1726 {1727 "label": "Malta",1728 "value": "MT"1729 },1730 {1731 "label": "Marshall Islands",1732 "value": "MH"1733 },1734 {1735 "label": "Martinique",1736 "value": "MQ"1737 },1738 {1739 "label": "Mauritania",1740 "value": "MR"1741 },1742 {1743 "label": "Mauritius",1744 "value": "MU"1745 },1746 {1747 "label": "Mayotte",1748 "value": "YT"1749 },1750 {1751 "label": "Mexico",1752 "value": "MX"1753 },1754 {1755 "label": "Micronesia",1756 "value": "FM"1757 },1758 {1759 "label": "Moldova",1760 "value": "MD"1761 },1762 {1763 "label": "Monaco",1764 "value": "MC"1765 },1766 {1767 "label": "Mongolia",1768 "value": "MN"1769 },1770 {1771 "label": "Montenegro",1772 "value": "ME"1773 },1774 {1775 "label": "Montserrat",1776 "value": "MS"1777 },1778 {1779 "label": "Morocco",1780 "value": "MA"1781 },1782 {1783 "label": "Namibia",1784 "value": "NA"1785 },1786 {1787 "label": "Nauru",1788 "value": "NR"1789 },1790 {1791 "label": "Nepal",1792 "value": "NP"1793 },1794 {1795 "label": "Netherlands",1796 "value": "NL"1797 },1798 {1799 "label": "Netherlands Antilles",1800 "value": "AN"1801 },1802 {1803 "label": "New Caledonia",1804 "value": "NC"1805 },1806 {1807 "label": "New Zealand",1808 "value": "NZ"1809 },1810 {1811 "label": "Nicaragua",1812 "value": "NI"1813 },1814 {1815 "label": "Niger",1816 "value": "NE"1817 },1818 {1819 "label": "Nigeria",1820 "value": "NG"1821 },1822 {1823 "label": "Niue",1824 "value": "NU"1825 },1826 {1827 "label": "Norfolk Island",1828 "value": "NF"1829 },1830 {1831 "label": "Northern Mariana Islands",1832 "value": "MP"1833 },1834 {1835 "label": "Norway",1836 "value": "NO"1837 },1838 {1839 "label": "Oman",1840 "value": "OM"1841 },1842 {1843 "label": "Pakistan",1844 "value": "PK"1845 },1846 {1847 "label": "Palau",1848 "value": "PW"1849 },1850 {1851 "label": "Palestine, State of",1852 "value": "PS"1853 },1854 {1855 "label": "Panama",1856 "value": "PA"1857 },1858 {1859 "label": "Papua New Guinea",1860 "value": "PG"1861 },1862 {1863 "label": "Paraguay",1864 "value": "PY"1865 },1866 {1867 "label": "Peru",1868 "value": "PE"1869 },1870 {1871 "label": "Philippines",1872 "value": "PH"1873 },1874 {1875 "label": "Pitcairn",1876 "value": "PN"1877 },1878 {1879 "label": "Poland",1880 "value": "PL"1881 },1882 {1883 "label": "Portugal",1884 "value": "PT"1885 },1886 {1887 "label": "Puerto Rico",1888 "value": "PR"1889 },1890 {1891 "label": "Qatar",1892 "value": "QA"1893 },1894 {1895 "label": "Romania",1896 "value": "RO"1897 },1898 {1899 "label": "Rwanda",1900 "value": "RW"1901 },1902 {1903 "label": "Réunion",1904 "value": "RE"1905 },1906 {1907 "label": "Saint Barthélemy",1908 "value": "BL"1909 },1910 {1911 "label": "Saint Helena, Ascension and Tristan da Cunha",1912 "value": "SH"1913 },1914 {1915 "label": "Saint Kitts and Nevis",1916 "value": "KN"1917 },1918 {1919 "label": "Saint Lucia",1920 "value": "LC"1921 },1922 {1923 "label": "Saint Martin (French part)",1924 "value": "MF"1925 },1926 {1927 "label": "Saint Pierre and Miquelon",1928 "value": "PM"1929 },1930 {1931 "label": "Saint Vincent and the Grenadines",1932 "value": "VC"1933 },1934 {1935 "label": "Samoa",1936 "value": "WS"1937 },1938 {1939 "label": "San Marino",1940 "value": "SM"1941 },1942 {1943 "label": "Sao Tome and Principe",1944 "value": "ST"1945 },1946 {1947 "label": "Saudi Arabia",1948 "value": "SA"1949 },1950 {1951 "label": "Senegal",1952 "value": "SN"1953 },1954 {1955 "label": "Serbia",1956 "value": "RS"1957 },1958 {1959 "label": "Seychelles",1960 "value": "SC"1961 },1962 {1963 "label": "Sierra Leone",1964 "value": "SL"1965 },1966 {1967 "label": "Singapore",1968 "value": "SG"1969 },1970 {1971 "label": "Sint Maarten (Dutch part)",1972 "value": "SX"1973 },1974 {1975 "label": "Slovakia",1976 "value": "SK"1977 },1978 {1979 "label": "Slovenia",1980 "value": "SI"1981 },1982 {1983 "label": "Solomon Islands",1984 "value": "SB"1985 },1986 {1987 "label": "South Africa",1988 "value": "ZA"1989 },1990 {1991 "label": "South Georgia and the South Sandwich Islands",1992 "value": "GS"1993 },1994 {1995 "label": "Spain",1996 "value": "ES"1997 },1998 {1999 "label": "Sri Lanka",2000 "value": "LK"2001 },2002 {2003 "label": "Suriname",2004 "value": "SR"2005 },2006 {2007 "label": "Svalbard and Jan Mayen",2008 "value": "SJ"2009 },2010 {2011 "label": "Swaziland",2012 "value": "SZ"2013 },2014 {2015 "label": "Sweden",2016 "value": "SE"2017 },2018 {2019 "label": "Switzerland",2020 "value": "CH"2021 },2022 {2023 "label": "Taiwan (China)",2024 "value": "TW"2025 },2026 {2027 "label": "Tajikistan",2028 "value": "TJ"2029 },2030 {2031 "label": "Tanzania, United Republic of",2032 "value": "TZ"2033 },2034 {2035 "label": "Thailand",2036 "value": "TH"2037 },2038 {2039 "label": "Timor-Leste",2040 "value": "TL"2041 },2042 {2043 "label": "Togo",2044 "value": "TG"2045 },2046 {2047 "label": "Tokelau",2048 "value": "TK"2049 },2050 {2051 "label": "Tonga",2052 "value": "TO"2053 },2054 {2055 "label": "Trinidad and Tobago",2056 "value": "TT"2057 },2058 {2059 "label": "Tunisia",2060 "value": "TN"2061 },2062 {2063 "label": "Turkey",2064 "value": "TR"2065 },2066 {2067 "label": "Turkmenistan",2068 "value": "TM"2069 },2070 {2071 "label": "Turks and Caicos Islands",2072 "value": "TC"2073 },2074 {2075 "label": "Tuvalu",2076 "value": "TV"2077 },2078 {2079 "label": "Uganda",2080 "value": "UG"2081 },2082 {2083 "label": "Ukraine",2084 "value": "UA"2085 },2086 {2087 "label": "United Arab Emirates",2088 "value": "AE"2089 },2090 {2091 "label": "United Kingdom",2092 "value": "GB"2093 },2094 {2095 "label": "United States Minor Outlying Islands",2096 "value": "UM"2097 },2098 {2099 "label": "United States of America",2100 "value": "US"2101 },2102 {2103 "label": "Uruguay",2104 "value": "UY"2105 },2106 {2107 "label": "Uzbekistan",2108 "value": "UZ"2109 },2110 {2111 "label": "Vanuatu",2112 "value": "VU"2113 },2114 {2115 "label": "Viet Nam",2116 "value": "VN"2117 },2118 {2119 "label": "Virgin Islands (British)",2120 "value": "VG"2121 },2122 {2123 "label": "Virgin Islands (U.S.)",2124 "value": "VI"2125 },2126 {2127 "label": "Wallis and Futuna",2128 "value": "WF"2129 },2130 {2131 "label": "Western Sahara",2132 "value": "EH"2133 },2134 {2135 "label": "Zambia",2136 "value": "ZM"2137 },2138 {2139 "label": "Zimbabwe",2140 "value": "ZW"2141 },2142 {2143 "label": "Åland Islands",2144 "value": "AX"2145 }2146 ],2147 "default": "US",2148 "description": "",2149 "example": "US",2150 "label": "Country or region",2151 "placeholder": "",2152 "refresh": true,2153 "tip": "",2154 "type": "SELECT"2155 },2156 "path": "beneficiary.address.country_code",2157 "required": true,2158 "rule": {2159 "type": "string",2160 "pattern": "AD|AE|AG|AI|AL|AM|AN|AO|AQ|AR|AS|AT|AU|AW|AX|AZ|BA|BB|BD|BE|BF|BG|BH|BI|BJ|BL|BM|BN|BO|BQ|BR|BS|BT|BV|BW|BZ|CA|CC|CF|CG|CH|CI|CK|CL|CM|CN|CO|CR|CV|CW|CX|CY|CZ|DE|DJ|DK|DM|DO|DZ|EC|EE|EG|EH|ER|ES|ET|FI|FJ|FK|FM|FO|FR|GA|GB|GD|GE|GF|GG|GH|GI|GL|GM|GN|GP|GQ|GR|GS|GT|GU|GW|GY|HK|HM|HN|HR|HU|IC|ID|IE|IL|IM|IN|IO|IS|IT|JE|JM|JO|JP|KE|KG|KH|KI|KM|KN|KR|KW|KY|KZ|LA|LB|LC|LI|LK|LR|LS|LT|LU|LV|LY|MA|MC|MD|ME|MF|MG|MH|MK|MN|MO|MP|MQ|MR|MS|MT|MU|MV|MW|MX|MY|NA|NC|NE|NF|NG|NI|NL|NO|NP|NR|NU|NZ|OM|PA|PE|PF|PG|PH|PK|PL|PM|PN|PR|PS|PT|PW|PY|QA|RE|RO|RS|RW|SA|SB|SC|SE|SG|SH|SI|SJ|SK|SL|SM|SN|SR|ST|SV|SX|SZ|TC|TD|TF|TG|TH|TJ|TK|TL|TM|TN|TO|TR|TT|TV|TW|TZ|UA|UG|UM|US|UY|UZ|VA|VC|VG|VI|VN|VU|WF|WS|XK|YT|ZA|ZM|ZW"2161 }2162 },2163 {2164 "enabled": true,2165 "field": {2166 "key": "postcode",2167 "default": "",2168 "description": "",2169 "example": "98104",2170 "label": "ZIP code",2171 "placeholder": "",2172 "refresh": true,2173 "tip": "",2174 "type": "INPUT"2175 },2176 "path": "beneficiary.address.postcode",2177 "required": true,2178 "rule": {2179 "pattern": "^[0-9]{5}(?:-[0-9]{4})?$",2180 "type": "string"2181 }2182 },2183 {2184 "enabled": true,2185 "field": {2186 "key": "street_address",2187 "default": "",2188 "description": "Recipient's address (Should not be a PO or GPO box address)",2189 "example": "412 5th Avenue",2190 "label": "Address",2191 "placeholder": "",2192 "refresh": false,2193 "tip": "",2194 "type": "INPUT"2195 },2196 "path": "beneficiary.address.street_address",2197 "required": true,2198 "rule": {2199 "type": "string",2200 "pattern": "(^(?!\\d+$))^[\\s\\S]{5,200}$"2201 }2202 },2203 {2204 "enabled": true,2205 "field": {2206 "key": "city",2207 "default": "",2208 "description": "",2209 "example": "Seattle",2210 "label": "City",2211 "placeholder": "",2212 "refresh": false,2213 "tip": "",2214 "type": "INPUT"2215 },2216 "path": "beneficiary.address.city",2217 "required": true,2218 "rule": {2219 "type": "string",2220 "pattern": "^[\\s\\S]{1,50}$"2221 }2222 },2223 {2224 "enabled": true,2225 "field": {2226 "key": "state",2227 "options": [2228 {2229 "label": "Alabama",2230 "value": "US-AL"2231 },2232 {2233 "label": "Alaska",2234 "value": "US-AK"2235 },2236 {2237 "label": "American Samoa",2238 "value": "US-AS"2239 },2240 {2241 "label": "Arizona",2242 "value": "US-AZ"2243 },2244 {2245 "label": "Arkansas",2246 "value": "US-AR"2247 },2248 {2249 "label": "California",2250 "value": "US-CA"2251 },2252 {2253 "label": "Colorado",2254 "value": "US-CO"2255 },2256 {2257 "label": "Connecticut",2258 "value": "US-CT"2259 },2260 {2261 "label": "Delaware",2262 "value": "US-DE"2263 },2264 {2265 "label": "District of Columbia",2266 "value": "US-DC"2267 },2268 {2269 "label": "Florida",2270 "value": "US-FL"2271 },2272 {2273 "label": "Georgia",2274 "value": "US-GA"2275 },2276 {2277 "label": "Guam",2278 "value": "US-GU"2279 },2280 {2281 "label": "Hawaii",2282 "value": "US-HI"2283 },2284 {2285 "label": "Idaho",2286 "value": "US-ID"2287 },2288 {2289 "label": "Illinois",2290 "value": "US-IL"2291 },2292 {2293 "label": "Indiana",2294 "value": "US-IN"2295 },2296 {2297 "label": "Iowa",2298 "value": "US-IA"2299 },2300 {2301 "label": "Kansas",2302 "value": "US-KS"2303 },2304 {2305 "label": "Kentucky",2306 "value": "US-KY"2307 },2308 {2309 "label": "Louisiana",2310 "value": "US-LA"2311 },2312 {2313 "label": "Maine",2314 "value": "US-ME"2315 },2316 {2317 "label": "Maryland",2318 "value": "US-MD"2319 },2320 {2321 "label": "Massachusetts",2322 "value": "US-MA"2323 },2324 {2325 "label": "Michigan",2326 "value": "US-MI"2327 },2328 {2329 "label": "Minnesota",2330 "value": "US-MN"2331 },2332 {2333 "label": "Mississippi",2334 "value": "US-MS"2335 },2336 {2337 "label": "Missouri",2338 "value": "US-MO"2339 },2340 {2341 "label": "Montana",2342 "value": "US-MT"2343 },2344 {2345 "label": "Nebraska",2346 "value": "US-NE"2347 },2348 {2349 "label": "Nevada",2350 "value": "US-NV"2351 },2352 {2353 "label": "New Hampshire",2354 "value": "US-NH"2355 },2356 {2357 "label": "New Jersey",2358 "value": "US-NJ"2359 },2360 {2361 "label": "New Mexico",2362 "value": "US-NM"2363 },2364 {2365 "label": "New York",2366 "value": "US-NY"2367 },2368 {2369 "label": "North Carolina",2370 "value": "US-NC"2371 },2372 {2373 "label": "North Dakota",2374 "value": "US-ND"2375 },2376 {2377 "label": "Northern Mariana Islands",2378 "value": "US-MP"2379 },2380 {2381 "label": "Ohio",2382 "value": "US-OH"2383 },2384 {2385 "label": "Oklahoma",2386 "value": "US-OK"2387 },2388 {2389 "label": "Oregon",2390 "value": "US-OR"2391 },2392 {2393 "label": "Pennsylvania",2394 "value": "US-PA"2395 },2396 {2397 "label": "Puerto Rico",2398 "value": "US-PR"2399 },2400 {2401 "label": "Rhode Island",2402 "value": "US-RI"2403 },2404 {2405 "label": "South Carolina",2406 "value": "US-SC"2407 },2408 {2409 "label": "South Dakota",2410 "value": "US-SD"2411 },2412 {2413 "label": "Tennessee",2414 "value": "US-TN"2415 },2416 {2417 "label": "Texas",2418 "value": "US-TX"2419 },2420 {2421 "label": "United States Minor Outlying Islands",2422 "value": "US-UM"2423 },2424 {2425 "label": "Utah",2426 "value": "US-UT"2427 },2428 {2429 "label": "Vermont",2430 "value": "US-VT"2431 },2432 {2433 "label": "Virgin Islands, U.S.",2434 "value": "US-VI"2435 },2436 {2437 "label": "Virginia",2438 "value": "US-VA"2439 },2440 {2441 "label": "Washington",2442 "value": "US-WA"2443 },2444 {2445 "label": "West Virginia",2446 "value": "US-WV"2447 },2448 {2449 "label": "Wisconsin",2450 "value": "US-WI"2451 },2452 {2453 "label": "Wyoming",2454 "value": "US-WY"2455 }2456 ],2457 "default": "",2458 "description": "",2459 "example": "Washington",2460 "label": "State",2461 "placeholder": "",2462 "refresh": false,2463 "tip": "",2464 "type": "SELECT"2465 },2466 "path": "beneficiary.address.state",2467 "required": true,2468 "rule": {2469 "type": "string",2470 "pattern": "US-AK|US-AL|US-AR|US-AS|US-AZ|US-CA|US-CO|US-CT|US-DC|US-DE|US-FL|US-GA|US-GU|US-HI|US-IA|US-ID|US-IL|US-IN|US-KS|US-KY|US-LA|US-MA|US-MD|US-ME|US-MI|US-MN|US-MO|US-MP|US-MS|US-MT|US-NC|US-ND|US-NE|US-NH|US-NJ|US-NM|US-NV|US-NY|US-OH|US-OK|US-OR|US-PA|US-PR|US-RI|US-SC|US-SD|US-TN|US-TX|US-UM|US-UT|US-VA|US-VI|US-VT|US-WA|US-WI|US-WV|US-WY"2471 }2472 },2473 {2474 "enabled": true,2475 "field": {2476 "key": "nickname",2477 "default": "",2478 "description": "For your reference only. Nicknames are only visible to you and will not be sent to the recipient.",2479 "example": "Complete Concrete Pty Ltd",2480 "label": "Nickname",2481 "placeholder": "",2482 "refresh": false,2483 "tip": "",2484 "type": "INPUT"2485 },2486 "path": "nickname",2487 "required": false2488 },2489 {2490 "enabled": true,2491 "field": {2492 "key": "personal_email",2493 "default": "",2494 "description": "",2495 "example": "[email protected]",2496 "label": "Email address",2497 "placeholder": "",2498 "refresh": false,2499 "tip": "",2500 "type": "INPUT"2501 },2502 "path": "beneficiary.additional_info.personal_email",2503 "required": false,2504 "rule": {2505 "type": "string",2506 "pattern": "^(\\S+@\\S+)$"2507 }2508 }2509 ],2510 "key": "newRecipient"2511}